Bug 50216 - kernel opps when tring to shutdown alsa
kernel opps when tring to shutdown alsa
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-28 10:01 EDT by Knut J BJuland
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-03 15:19:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updatet driver.h to get alsa-driver-0.9beta6 to compile with kernel-2.4.6-2.4 (16.91 KB, text/plain)
2001-07-28 10:03 EDT, Knut J BJuland
no flags Details

  None (edit)
Description Knut J BJuland 2001-07-28 10:01:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010712

Description of problem:
I get a kernel oops when tring to shutdown alsa-driver. And device driver
is busy.

How reproducible:
Always

Steps to Reproduce:
1.while in linux 2
2.alsasound start
3.slasound stop
	

Actual Results:  Unable to handle kernel paging request at virtual address
5a5a5a8a
 printing eip:
c0154673
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<c0154673>]
EFLAGS: 00010202
eax: 00000000   ebx: c88b2834   ecx: 00000004   edx: 5a5a5a5a
esi: c7164e2c   edi: 5a5a5a8a   ebp: 00000000   esp: c75bbeec
ds: 0018   es: 0018   ss: 0018
Process rmmod (pid: 462, stackpage=c75bb000)
Stack: c7164f00 c88b2834 c74e38a0 c88ae1e4 c7164f00 5a5a5a5a c716b8a4 c716b8a4 
       c88c2b32 c7164e2c c716b9ac c88c2dc9 c716b8a4 c74e3800 c74e3800 00001fff 
       c88c2e1f c74e38a0 c7165ab4 c88af777 c74e3800 c74e3000 00001000 c88af8f5 
Call Trace: [<c01dac8f>] [<c011a94e>] [<c0119e29>] [<c0106edb>] 

Code: 8b 52 30 89 cb 85 d2 0f 84 b0 00 00 00 8b 07 50 8b 4c 24 04 
Shutting down sound driver: ./alsasound: line 13:   462 Segmentation fault
     /sbin/rmmod `echo $line | cut -d ' ' -f 1`
snd-emu10k1: Device or resource busy
snd-ac97-codec: Device or resource busy
snd-util-mem: Device or resource busy
snd-pcm: Device or resource busy
snd-timer: Device or resource busy
snd-hwdep: Device or resource busy
snd-rawmidi: Device or resource busy
snd-seq-device: Device or resource busy
snd: Device or resource busy
done



Expected Results:  alsa shuting down:done

Additional info:

/etc/modules
alias parport_lowlevel parport_pc
alias usb-controller usb-uhci
alias sound-slot-0 snd-card-0
alias eth0 3c59x

# #alsa
alias char-major-116 snd
#options snd snd_major=116 snd_card_limit=1
alias char-major-14 soundcore
alias snd-card-0 snd-card-emu10k1
##oss lite
alias snd-slot-0 snd-card-0
##oss service
alias char-major-14 soundcore
alias sound-slot-0 snd-card-0
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss

post-install snd-synth-emu10k1 sfxload /etc/midi/8mbgmsfx.sf2
;/usr/sbin/alsactl restore


alias char-major-195 NVdriver
Comment 1 Knut J BJuland 2001-07-28 10:03:53 EDT
Created attachment 25267 [details]
updatet driver.h to get alsa-driver-0.9beta6 to compile with kernel-2.4.6-2.4
Comment 2 Bill Nottingham 2001-07-30 00:28:28 EDT
That appears to be a bug in the alsa driver; it's dying on unload. Most notably,
from the oops, it appears to be corrupting memory. I suggest you
report this to the ALSA team.

Note You need to log in before you can comment on or make changes to this bug.